The data object for a ticket creation rule update request. The id must match the rule_id path parameter.
attributes [required]
object
Attributes for creating or updating a ticket creation rule.
action [required]
object
The action to take when the ticket creation rule matches a finding.
assignee_id
uuid
The UUID of the default assignee for created tickets.
fields
object
Target-specific fields of the ticket to create.
For target: jira, the custom fields of the Jira issue. For the list of available fields, see Jira documentation.
For target: linear, the optional keys linear_project_id (string, the identifier of the Linear project the issue is created in) and linear_label_ids (array of strings, the identifiers of the Linear labels applied to the issue).
max_tickets_per_day [required]
int64
The maximum number of tickets the rule may create per day. If exceeded, one final ticket will be created, explaining the limit was hit and link back to the responsible rule.
project_id [required]
uuid
The UUID of the case management project.
target [required]
enum
The ticketing system to create tickets in.
Allowed enum values: jira,case_management,linear
enabled
boolean
Whether the ticket creation rule is enabled.
name [required]
string
The name of the ticket creation rule.
rule [required]
object
Defines the scope of findings to which the automation rule applies.
finding_types [required]
[string]
The list of security finding types that the automation rule applies to.
query
string
A search query to further filter the findings matched by this rule. The @workflow.* namespace and @status fields are not permitted. For a reference of available fields, see the Security Findings schema documentation.
id [required]
uuid
The ID of the ticket creation rule to update.
type [required]
enum
The JSON:API type for ticket creation rules.
Allowed enum values: ticket_creation_rules
The data object for a ticket creation rule returned by the API.
attributes [required]
object
Attributes of a ticket creation rule returned by the API.
action [required]
object
The action to take when the ticket creation rule matches a finding.
assignee_id
uuid
The UUID of the default assignee for created tickets.
auto_disabled_reason
string
The reason the rule was automatically disabled by the system due to a ticketing integration error.
fields
object
Target-specific fields of the ticket to create.
For target: jira, the custom fields of the Jira issue. For the list of available fields, see Jira documentation.
For target: linear, the optional keys linear_project_id (string, the identifier of the Linear project the issue is created in) and linear_label_ids (array of strings, the identifiers of the Linear labels applied to the issue).
max_tickets_per_day [required]
int64
The maximum number of tickets the rule may create per day. If exceeded, one final ticket will be created, explaining the limit was hit and link back to the responsible rule.
project_id [required]
uuid
The UUID of the case management project.
target [required]
enum
The ticketing system to create tickets in.
Allowed enum values: jira,case_management,linear
created_at [required]
int64
The Unix timestamp in milliseconds when the rule was created.
created_by [required]
object
The user or Datadog system who created the rule.
id [required]
string
The actor's identifier (a user UUID or a system identifier).
name [required]
string
The name of the actor.
type [required]
enum
Whether the actor is a user or the Datadog system.
Allowed enum values: user,system
enabled [required]
boolean
Whether the ticket creation rule is enabled.
modified_at [required]
int64
The Unix timestamp in milliseconds when the rule was last modified.
modified_by [required]
object
The user or Datadog system who last modified the rule.
id [required]
string
The actor's identifier (a user UUID or a system identifier).
name [required]
string
The name of the actor.
type [required]
enum
Whether the actor is a user or the Datadog system.
Allowed enum values: user,system
name [required]
string
The name of the ticket creation rule.
rule [required]
object
Defines the scope of findings to which the automation rule applies.
finding_types [required]
[string]
The list of security finding types that the automation rule applies to.
query
string
A search query to further filter the findings matched by this rule. The @workflow.* namespace and @status fields are not permitted. For a reference of available fields, see the Security Findings schema documentation.
id [required]
uuid
The ID of the ticket creation rule.
type [required]
enum
The JSON:API type for ticket creation rules.
Allowed enum values: ticket_creation_rules
## default
#
# Path parameters exportrule_id="00000000-0000-0000-0000-000000000000" # Use a Personal Access Token or Service Access Token exportDD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
// Update a ticket creation rule returns "Successfully updated the ticket creation rule" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2""github.com/google/uuid")funcmain(){// there is a valid "valid_ticket_creation_rule" in the systemValidTicketCreationRuleDataID:=uuid.MustParse(os.Getenv("VALID_TICKET_CREATION_RULE_DATA_ID"))body:=datadogV2.TicketCreationRuleUpdateRequest{Data:datadogV2.TicketCreationRuleDataUpdate{Attributes:datadogV2.TicketCreationRuleAttributesCreate{Action:datadogV2.TicketCreationRuleAction{MaxTicketsPerDay:5,ProjectId:uuid.MustParse("11111111-1111-1111-1111-111111111111"),Target:datadogV2.TICKETCREATIONTARGET_JIRA,},Enabled:datadog.PtrBool(false),Name:"Example-Security-Monitoring",Rule:datadogV2.AutomationRuleScope{FindingTypes:[]datadogV2.SecurityFindingType{datadogV2.SECURITYFINDINGTYPE_MISCONFIGURATION,},Query:datadog.PtrString("env:staging"),},},Id:ValidTicketCreationRuleDataID,Type:datadogV2.TICKETCREATIONRULETYPE_TICKET_CREATION_RULES,},}ctx:=datadog.NewDefaultContext(context.Background())ctx=context.WithValue(ctx,datadog.ContextAccessToken,os.Getenv("DD_BEARER_TOKEN"))configuration:=datadog.NewConfiguration()configuration.SetUnstableOperationEnabled("v2.UpdateSecurityFindingsAutomationTicketCreationRule",true)apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewSecurityMonitoringApi(apiClient)resp,r,err:=api.UpdateSecurityFindingsAutomationTicketCreationRule(ctx,ValidTicketCreationRuleDataID,body)iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `SecurityMonitoringApi.UpdateSecurityFindingsAutomationTicketCreationRule`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `SecurityMonitoringApi.UpdateSecurityFindingsAutomationTicketCreationRule`:\n%s\n",responseContent)}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"go run"main.go"
// Update a ticket creation rule returns "Successfully updated the ticket creation rule" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.SecurityMonitoringApi;importcom.datadog.api.client.v2.model.AutomationRuleScope;importcom.datadog.api.client.v2.model.SecurityFindingType;importcom.datadog.api.client.v2.model.TicketCreationRuleAction;importcom.datadog.api.client.v2.model.TicketCreationRuleAttributesCreate;importcom.datadog.api.client.v2.model.TicketCreationRuleDataUpdate;importcom.datadog.api.client.v2.model.TicketCreationRuleResponse;importcom.datadog.api.client.v2.model.TicketCreationRuleType;importcom.datadog.api.client.v2.model.TicketCreationRuleUpdateRequest;importcom.datadog.api.client.v2.model.TicketCreationTarget;importjava.util.Collections;importjava.util.UUID;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));defaultClient.setUnstableOperationEnabled("v2.updateSecurityFindingsAutomationTicketCreationRule",true);SecurityMonitoringApiapiInstance=newSecurityMonitoringApi(defaultClient);// there is a valid "valid_ticket_creation_rule" in the systemUUIDVALID_TICKET_CREATION_RULE_DATA_ID=null;try{VALID_TICKET_CREATION_RULE_DATA_ID=UUID.fromString(System.getenv("VALID_TICKET_CREATION_RULE_DATA_ID"));}catch(IllegalArgumentExceptione){System.err.println("Error parsing UUID: "+e.getMessage());}TicketCreationRuleUpdateRequestbody=newTicketCreationRuleUpdateRequest().data(newTicketCreationRuleDataUpdate().attributes(newTicketCreationRuleAttributesCreate().action(newTicketCreationRuleAction().maxTicketsPerDay(5L).projectId(UUID.fromString("11111111-1111-1111-1111-111111111111")).target(TicketCreationTarget.JIRA)).enabled(false).name("Example-Security-Monitoring").rule(newAutomationRuleScope().findingTypes(Collections.singletonList(SecurityFindingType.MISCONFIGURATION)).query("env:staging"))).id(VALID_TICKET_CREATION_RULE_DATA_ID).type(TicketCreationRuleType.TICKET_CREATION_RULES));try{TicketCreationRuleResponseresult=apiInstance.updateSecurityFindingsAutomationTicketCreationRule(VALID_TICKET_CREATION_RULE_DATA_ID,body);System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling"+" SecurityMonitoringApi#updateSecurityFindingsAutomationTicketCreationRule");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"java"Example.java"
"""
Update a ticket creation rule returns "Successfully updated the ticket creation rule" response
"""fromosimportenvironfromdatadog_api_clientimportApiClient,Configurationfromdatadog_api_client.v2.api.security_monitoring_apiimportSecurityMonitoringApifromdatadog_api_client.v2.model.automation_rule_scopeimportAutomationRuleScopefromdatadog_api_client.v2.model.security_finding_typeimportSecurityFindingTypefromdatadog_api_client.v2.model.ticket_creation_rule_actionimportTicketCreationRuleActionfromdatadog_api_client.v2.model.ticket_creation_rule_attributes_createimportTicketCreationRuleAttributesCreatefromdatadog_api_client.v2.model.ticket_creation_rule_data_updateimportTicketCreationRuleDataUpdatefromdatadog_api_client.v2.model.ticket_creation_rule_typeimportTicketCreationRuleTypefromdatadog_api_client.v2.model.ticket_creation_rule_update_requestimportTicketCreationRuleUpdateRequestfromdatadog_api_client.v2.model.ticket_creation_targetimportTicketCreationTargetfromuuidimportUUID# there is a valid "valid_ticket_creation_rule" in the systemVALID_TICKET_CREATION_RULE_DATA_ID=environ["VALID_TICKET_CREATION_RULE_DATA_ID"]body=TicketCreationRuleUpdateRequest(data=TicketCreationRuleDataUpdate(attributes=TicketCreationRuleAttributesCreate(action=TicketCreationRuleAction(max_tickets_per_day=5,project_id=UUID("11111111-1111-1111-1111-111111111111"),target=TicketCreationTarget.JIRA,),enabled=False,name="Example-Security-Monitoring",rule=AutomationRuleScope(finding_types=[SecurityFindingType.MISCONFIGURATION,],query="env:staging",),),id=VALID_TICKET_CREATION_RULE_DATA_ID,type=TicketCreationRuleType.TICKET_CREATION_RULES,),)configuration=Configuration()configuration.access_token=environ["DD_BEARER_TOKEN"]configuration.unstable_operations["update_security_findings_automation_ticket_creation_rule"]=TruewithApiClient(configuration)asapi_client:api_instance=SecurityMonitoringApi(api_client)response=api_instance.update_security_findings_automation_ticket_creation_rule(rule_id=VALID_TICKET_CREATION_RULE_DATA_ID,body=body)print(response)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"python3"example.py"
# Update a ticket creation rule returns "Successfully updated the ticket creation rule" responserequire"datadog_api_client"DatadogAPIClient.configuredo|config|config.access_token=ENV["DD_BEARER_TOKEN"]config.unstable_operations["v2.update_security_findings_automation_ticket_creation_rule".to_sym]=trueendapi_instance=DatadogAPIClient::V2::SecurityMonitoringAPI.new# there is a valid "valid_ticket_creation_rule" in the systemVALID_TICKET_CREATION_RULE_DATA_ID=ENV["VALID_TICKET_CREATION_RULE_DATA_ID"]body=DatadogAPIClient::V2::TicketCreationRuleUpdateRequest.new({data:DatadogAPIClient::V2::TicketCreationRuleDataUpdate.new({attributes:DatadogAPIClient::V2::TicketCreationRuleAttributesCreate.new({action:DatadogAPIClient::V2::TicketCreationRuleAction.new({max_tickets_per_day:5,project_id:"11111111-1111-1111-1111-111111111111",target:DatadogAPIClient::V2::TicketCreationTarget::JIRA,}),enabled:false,name:"Example-Security-Monitoring",rule:DatadogAPIClient::V2::AutomationRuleScope.new({finding_types:[DatadogAPIClient::V2::SecurityFindingType::MISCONFIGURATION,],query:"env:staging",}),}),id:VALID_TICKET_CREATION_RULE_DATA_ID,type:DatadogAPIClient::V2::TicketCreationRuleType::TICKET_CREATION_RULES,}),})papi_instance.update_security_findings_automation_ticket_creation_rule(VALID_TICKET_CREATION_RULE_DATA_ID,body)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"rb"example.rb"
// Update a ticket creation rule returns "Successfully updated the ticket creation
// rule" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_security_monitoring::SecurityMonitoringAPI;usedatadog_api_client::datadogV2::model::AutomationRuleScope;usedatadog_api_client::datadogV2::model::SecurityFindingType;usedatadog_api_client::datadogV2::model::TicketCreationRuleAction;usedatadog_api_client::datadogV2::model::TicketCreationRuleAttributesCreate;usedatadog_api_client::datadogV2::model::TicketCreationRuleDataUpdate;usedatadog_api_client::datadogV2::model::TicketCreationRuleType;usedatadog_api_client::datadogV2::model::TicketCreationRuleUpdateRequest;usedatadog_api_client::datadogV2::model::TicketCreationTarget;useuuid::Uuid;#[tokio::main]asyncfnmain(){// there is a valid "valid_ticket_creation_rule" in the system
letvalid_ticket_creation_rule_data_id=uuid::Uuid::parse_str(&std::env::var("VALID_TICKET_CREATION_RULE_DATA_ID").unwrap()).expect("Invalid UUID");letbody=TicketCreationRuleUpdateRequest::new(TicketCreationRuleDataUpdate::new(TicketCreationRuleAttributesCreate::new(TicketCreationRuleAction::new(5,Uuid::parse_str("11111111-1111-1111-1111-111111111111").expect("invalid UUID"),TicketCreationTarget::JIRA,),"Example-Security-Monitoring".to_string(),AutomationRuleScope::new(vec![SecurityFindingType::MISCONFIGURATION]).query("env:staging".to_string()),).enabled(false),valid_ticket_creation_rule_data_id.clone(),TicketCreationRuleType::TICKET_CREATION_RULES,));letmutconfiguration=datadog::Configuration::new();configuration.set_unstable_operation_enabled("v2.update_security_findings_automation_ticket_creation_rule",true,);letapi=SecurityMonitoringAPI::with_config(configuration);letresp=api.update_security_findings_automation_ticket_creation_rule(valid_ticket_creation_rule_data_id.clone(),body,).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<DD_API_KEY>"DD_APP_KEY="<DD_APP_KEY>"cargo run
/**
* Update a ticket creation rule returns "Successfully updated the ticket creation rule" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration({authMethods:{AuthZ:{accessToken: process.env.DD_BEARER_TOKENasstring,},},});configuration.unstableOperations["v2.updateSecurityFindingsAutomationTicketCreationRule"]=true;constapiInstance=newv2.SecurityMonitoringApi(configuration);// there is a valid "valid_ticket_creation_rule" in the system
constVALID_TICKET_CREATION_RULE_DATA_ID=process.env.VALID_TICKET_CREATION_RULE_DATA_IDasstring;constparams: v2.SecurityMonitoringApiUpdateSecurityFindingsAutomationTicketCreationRuleRequest={body:{data:{attributes:{action:{maxTicketsPerDay: 5,projectId:"11111111-1111-1111-1111-111111111111",target:"jira",},enabled: false,name:"Example-Security-Monitoring",rule:{findingTypes:["misconfiguration"],query:"env:staging",},},type:"ticket_creation_rules",},},ruleId: VALID_TICKET_CREATION_RULE_DATA_ID,};apiInstance.updateSecurityFindingsAutomationTicketCreationRule(params).then((data: v2.TicketCreationRuleResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"tsc"example.ts"
맞춤형 데모 요청
Datadog 시작하기
Ask AI
AI-generated responses may be inaccurate. Verify important info.